Random Errors with data authentication system
Description

There are many random errors occurring with the data search/authentication system. This is a tracking bug for these issues. Please
set this bug as a blocker to any bug associated with these problems.

Related issues:

Blocked by Kepler - Bug #3245: Release 1.0 installer tracking bug Resolved 04/29/2008
Blocks Kepler - Bug #3269: authentication system throws NPE Resolved 05/02/2008
Blocks Kepler - Bug #3270: disable DIGIR Data Source by default Resolved 05/02/2008
History

#1 - 05/02/2008 03:07 PM - Chad Berkley

The cancel button does not cancel after the 2nd authentication. You may have one successful search, but if you restart kepler then try to
search/authenticate again, it usually fails with or without an error. Sometimes the "getEndpoint - ENDPOINT attr is null." message scrolls
uncontrollably down the console, locking up kepler altogether. Sometimes no error messages are displayed until you quit or kill kepler, when a slew
of Axis errors magically appear on the console. Most errors are pointing to the class EcoGridServicesController.

#2 - 05/04/2008 10:45 AM - ben leinfelder

| am able to start an authenticated query, hit cancel when prompted for login (once for each document type being searched) and then cancel the
search completely (in the data search tab). is this the scenario in which you are encountering errors?

#3 - 05/06/2008 10:07 AM - ben leinfelder

changed the Idap authentication gui to get away from static method calls (in favor of singleton getinstance calls that can be synchronized to prevent
concurrent threads from battling it out with GUIs and authentication requests).

cvs log message:

"change the LDAP login gui to use a singleton patter rather than a static

method pattern so that displaying the login dialogue can be a synchronized

process (in cases when requests for authentication are happening in concurrent

threads as with the ecogrid searches and retrievals)."

please try this out in your workspace. I've done multiple authenticated searches and also tried to upload to the repository. logging out works as it did
before (Tools->Ecogrid Authentication...)

#4 - 05/06/2008 02:45 PM - ben leinfelder
closing this bug - not seeing crazy authentication errors nor race conditions when using the authenticated query.

will keep eyes open for issues if they resurface...

#5 - 05/09/2008 11:16 AM - Jing Tao

In mac v4 installer, it seemed fine.

#6 - 03/27/2013 02:22 PM - Redmine Admin
Original Bugzilla ID was 3271
